-- 7.5.x -> 8.0.0

ALTER TABLE exp_event
ADD COLUMN id BIGINT(10) UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY,
MODIFY COLUMN obj_class ENUM(
		-- Server-related objects
		'license', 'service', 'ip_address',
		'admin_info', 'siteapp', 'session_preferences',
		-- Clients-related objects
		'client', 'client_limits', 'client_status',
		'client_prefs', 'client_perms',
		'client_ip_pool',
		-- Domains-related objects
		'domain', 'domain_limits', 'domain_user',
		'domain_status', 'phosting', 'fhosting',
		'db_server',
		'subdomain', 'mailname', 'webuser',
		'maillist', 'dns_zone',
		'mailname_antivirus',
		'mailname_spamfilter',
		'mailname_mailgroup',
		'mailname_autoresponder',
		'mailname_attachment',
		-- dashboard preset
		'dashboard_preset',
		'dashboard_preset_type',
		'dashboard_preset_name') NOT NULL,
MODIFY COLUMN obj_id  VARCHAR(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
ADD    COLUMN host    VARCHAR(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
ADD    COLUMN `user`  VARCHAR(255) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL,
ADD    COLUMN flushed ENUM('true', 'false') NOT NULL DEFAULT 'false';

CREATE TABLE IF NOT EXISTS secret_keys (
	key_id          VARCHAR(255) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL,
	ip_address      VARCHAR(15) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL,
	description     VARCHAR(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
	index(key_id)    
 );
